Debian Bug report logs - #388695
geda-gschem: "Probably parenthesis mismatch in" errors in gschem

version graph

Package: geda-symbols; Maintainer for geda-symbols is Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>; Source for geda-symbols is src:geda-gaf.

Reported by: "H. S." <hs.samix@gmail.com>

Date: Fri, 22 Sep 2006 03:33:02 UTC

Severity: grave

Merged with 389154

Fixed in version geda-symbols/20060906-2

Done: Hamish Moffatt <hamish@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#388695; Package geda-gschem. Full text and rfc822 format available.

Acknowledgement sent to "H. S." <hs.samix@gmail.com>:
New Bug report received and forwarded. Copy sent to Hamish Moffatt <hamish@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "H. S." <hs.samix@gmail.com>
To: "Debian Bug Tracking System" <submit@bugs.debian.org>
Cc: hs.samix@gmail.com
Subject: geda-gschem: "Probably parenthesis mismatch in" errors in gschem
Date: Thu, 21 Sep 2006 23:12:42 -0400
[Message part 1 (text/plain, inline)]
Package: geda-gschem
Version: 20060123-1
Severity: grave
Justification: renders package unusable

*** Please type your report below this line ***
Hello,

(here is the bug again here for geda-gschem, instead of for geda)

If I try to start gschem, I get these errors:
------------------------------------------------------------------
$> gschem
gEDA/gschem version 20060123
gEDA/gschem comes with ABSOLUTELY NO WARRANTY; see COPYING for more details.
This is free software, and you are welcome to redistribute it under certain
conditions; please see the COPYING file for more details.

Probably parenthesis mismatch in /etc/gEDA/system-gafrc
Most recently read form: (postscript-prolog ${GEDADATA}/prolog.ps)
Probably parenthesis mismatch in /etc/gEDA/system-gschemrc
Most recently read form: (#@load (#@string-append #@gedadatarc
/system-gafrc))
Probably parenthesis mismatch in /usr/share/gEDA/scheme/gschem.scm
Most recently read form: (#@mapping-keys global-keymap (quote ()))
Tried to get an invalid color: 0
Tried to get an invalid color: 7
Tried to get an invalid color: 0
Tried to get an invalid color: 7
------------------------------------------------------------------

and if I start gschem with a .sch file, I get the above errors and the
schematic is not shown. In both cases, a window opens but it has no menus
on it. So I cannot open pre-existing files at all. If I open a new file,
in the add component dialogbox I cannot see the preview of the components
selected.

I haven't changed any config file.

This behaviour was shown right after installing these package on my Debian
Etch
box. The versions that I have installed are:
$> dpkg -l geda* | grep ^ii
ii  geda           20060123-1     GNU EDA -- Electronics design software
ii  geda-doc       20060906-1     Documentation for GNU EDA -- Electronics
des
ii  geda-examples  20060906-1     GNU EDA -- Electronics design software --
ex
ii  geda-gattrib   20060123-1     GNU EDA -- Electronics design software --
at
ii  geda-gnetlist  20060123-1     GNU EDA -- Electronics design software --
ne
ii  geda-gschem    20060123-1     GNU EDA -- Electronics design software --
sc
ii  geda-gsymcheck 20060123-1     GNU EDA -- Electronics design software --
sy
ii  geda-symbols   20060906-1     Symbols for GNU EDA -- Electronics design
so
ii  geda-utils     20060123-1     GNU EDA -- Electronics design software --
ut


-- System Information:
Debian Release: testing/unstable
 APT prefers testing
 APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-2-686
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)

Versions of packages geda-gschem depends on:
ii  geda-symbols                20060906-1   Symbols for GNU EDA --
Electronics
ii  guile-1.6-libs              1.6.8-4      Main Guile libraries
ii  libatk1.0-0                 1.12.2-1     The ATK accessibility toolkit
ii  libc6                       2.3.6.ds1-4  GNU C Library: Shared libraries
ii  libcairo2                   1.2.4-1      The Cairo 2D vector graphics
libra
ii  libfontconfig1              2.3.2-7      generic font configuration
library
ii  libgdgeda6                  2.0.15-3     GNU EDA -- Electronics design
soft
ii  libgeda20 [libgeda-25]      20060123-1   GNU EDA -- Electronics design
soft
ii  libglib2.0-0                2.12.3-2     The GLib library of C routines
ii  libgtk2.0-0                 2.8.20-1     The GTK+ graphical user
interface
ii  libguile-ltdl-1             1.6.8-4      Guile's patched version of
libtool
ii  libice6                     1:1.0.1-2    X11 Inter-Client Exchange
library
ii  libpango1.0-0               1.12.3-1+b1  Layout and rendering of
internatio
ii  libpng12-0                  1.2.8rel-5.2 PNG library - runtime
ii  libqthreads-12              1.6.8-4      QuickThreads library for Guile
ii  libsm6                      1:1.0.1-2    X11 Session Management library
ii  libstroke0                  0.5.1-5      mouse strokes library --
runtime f
ii  libx11-6                    2:1.0.0-8    X11 client-side library
ii  libxcursor1                 1.1.7-4      X cursor management library
ii  libxext6                    1:1.0.1-2    X11 miscellaneous extension
librar
ii  libxi6                      1:1.0.1-3    X11 Input extension library
ii  libxinerama1                1:1.0.1-4.1  X11 Xinerama extension library
ii  libxrandr2                  2:1.1.0.2-4  X11 RandR extension library
ii  libxrender1                 1:0.9.1-3    X Rendering Extension client
libra
ii  zlib1g                      1:1.2.3-13   compression library - runtime

geda-gschem recommends no packages.

-- no debconf information
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#388695; Package geda-gschem. Full text and rfc822 format available.

Acknowledgement sent to Hamish Moffatt <hamish@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 388695@bugs.debian.org (full text, mbox):

From: Hamish Moffatt <hamish@debian.org>
To: "H. S." <hs.samix@gmail.com>, 388695@bugs.debian.org
Subject: Re: Bug#388695: geda-gschem: "Probably parenthesis mismatch in" errors in gschem
Date: Fri, 22 Sep 2006 15:22:17 +1000
On Thu, Sep 21, 2006 at 11:12:42PM -0400, H. S. wrote:
> (here is the bug again here for geda-gschem, instead of for geda)

Thanks. geda-gschem 20060906 should be in etch in a day or two. Can you
try it again then and see if the problem is solved?

system-gafrc is provided by geda-symbols, which is already updated in
etch. However system-gschemrc is not yet. I suspect the skew between
them is causing the problem. I will tighten the dependencies in the
future.

> ii  geda-gschem    20060123-1     GNU EDA -- Electronics design software --
> sc
> ii  geda-symbols   20060906-1     Symbols for GNU EDA -- Electronics design
> so

thanks,
Hamish
-- 
Hamish Moffatt VK3SB <hamish@debian.org> <hamish@cloud.net.au>



Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#388695; Package geda-gschem. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. Full text and rfc822 format available.

Message #15 received at 388695@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Hamish Moffatt <hamish@debian.org>, 388695@bugs.debian.org
Cc: "H. S." <hs.samix@gmail.com>
Subject: Re: Bug#388695: geda-gschem: "Probably parenthesis mismatch in" errors in gschem
Date: Thu, 21 Sep 2006 23:50:42 -0700
On Fri, Sep 22, 2006 at 03:22:17PM +1000, Hamish Moffatt wrote:
> On Thu, Sep 21, 2006 at 11:12:42PM -0400, H. S. wrote:
> > (here is the bug again here for geda-gschem, instead of for geda)

> Thanks. geda-gschem 20060906 should be in etch in a day or two.

Not if this RC bug is open, it won't be.

> system-gafrc is provided by geda-symbols, which is already updated in
> etch. However system-gschemrc is not yet. I suspect the skew between
> them is causing the problem. I will tighten the dependencies in the
> future.

If you're certain that this is the cause, which package needs to be updated
with added conflicts -- geda-symbols or geda-gschem?  If it's geda-symbols,
could you please reassign this bug there?  If the change needs to be made to
geda-gschem, please say so and I'll override this RC bug for the update into
testing for now.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#388695; Package geda-gschem. Full text and rfc822 format available.

Acknowledgement sent to Hamish Moffatt <hamish@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #20 received at 388695@bugs.debian.org (full text, mbox):

From: Hamish Moffatt <hamish@debian.org>
To: Steve Langasek <vorlon@debian.org>
Cc: 388695@bugs.debian.org, "H. S." <hs.samix@gmail.com>
Subject: Re: Bug#388695: geda-gschem: "Probably parenthesis mismatch in" errors in gschem
Date: Fri, 22 Sep 2006 17:46:46 +1000
reassign 388695 geda-symbols
thanks

On Thu, Sep 21, 2006 at 11:50:42PM -0700, Steve Langasek wrote:
> On Fri, Sep 22, 2006 at 03:22:17PM +1000, Hamish Moffatt wrote:
> > On Thu, Sep 21, 2006 at 11:12:42PM -0400, H. S. wrote:
> > > (here is the bug again here for geda-gschem, instead of for geda)
> > Thanks. geda-gschem 20060906 should be in etch in a day or two.
> Not if this RC bug is open, it won't be.

Good to know.

> > system-gafrc is provided by geda-symbols, which is already updated in
> > etch. However system-gschemrc is not yet. I suspect the skew between
> > them is causing the problem. I will tighten the dependencies in the
> > future.
> 
> If you're certain that this is the cause, which package needs to be updated
> with added conflicts -- geda-symbols or geda-gschem?  If it's geda-symbols,
> could you please reassign this bug there?  If the change needs to be made to
> geda-gschem, please say so and I'll override this RC bug for the update into
> testing for now.

Well, upgrading geda-gschem will certainly get it working. As to where
the change belongs I'm not sure -- basically the two packages need to
have matched versions. So either geda-gschem (and geda-gnetlist,
gsymcheck, gattrib and possibly utils) conflict with a newer
geda-symbols, or symbols conflicts with old geda-*.

I think I prefer the latter solution, so I'll reassign.

thanks,
Hamish
-- 
Hamish Moffatt VK3SB <hamish@debian.org> <hamish@cloud.net.au>



Bug reassigned from package `geda-gschem' to `geda-symbols'. Request was from Hamish Moffatt <hamish@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#388695; Package geda-symbols. Full text and rfc822 format available.

Acknowledgement sent to "H. S." <hs.samix@gmail.com>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. Full text and rfc822 format available.

Message #27 received at 388695@bugs.debian.org (full text, mbox):

From: "H. S." <hs.samix@gmail.com>
To: "Hamish Moffatt" <hamish@debian.org>
Cc: 388695@bugs.debian.org
Subject: Re: Bug#388695: geda-gschem: "Probably parenthesis mismatch in" errors in gschem
Date: Sun, 24 Sep 2006 11:36:49 -0400
[Message part 1 (text/plain, inline)]
On 9/22/06, Hamish Moffatt <hamish@debian.org> wrote:
>
> On Thu, Sep 21, 2006 at 11:12:42PM -0400, H. S. wrote:
> > (here is the bug again here for geda-gschem, instead of for geda)
>
> Thanks. geda-gschem 20060906 should be in etch in a day or two. Can you
> try it again then and see if the problem is solved?



I updated the geda packages last night. I have tried playing around with
gschem for a while and the problems I was facing have gone.

Here the versions I now have:
$> dpkg -l *geda* | grep ^ii
ii  geda           20060123-1     GNU EDA -- Electronics design software
ii  geda-doc       20060906-1     Documentation for GNU EDA -- Electronics
des
ii  geda-examples  20060906-1     GNU EDA -- Electronics design software --
ex
ii  geda-gattrib   20060906-1     GNU EDA -- Electronics design software --
at
ii  geda-gnetlist  20060906-1     GNU EDA -- Electronics design software --
ne
ii  geda-gschem    20060906-1     GNU EDA -- Electronics design software --
sc
ii  geda-gsymcheck 20060906-1     GNU EDA -- Electronics design software --
sy
ii  geda-symbols   20060906-1     Symbols for GNU EDA -- Electronics design
so
ii  geda-utils     20060906-1     GNU EDA -- Electronics design software --
ut
ii  libgdgeda6     2.0.15-3       GNU EDA -- Electronics design software --
gd
ii  libgeda20      20060906-1     GNU EDA -- Electronics design software --
li


Thanks a ton for solving the problem. Your help is much appreciated.

regards,
->HS




system-gafrc is provided by geda-symbols, which is already updated in
> etch. However system-gschemrc is not yet. I suspect the skew between
> them is causing the problem. I will tighten the dependencies in the
> future.
>
> > ii  geda-gschem    20060123-1     GNU EDA -- Electronics design software
> --
> > sc
> > ii  geda-symbols   20060906-1     Symbols for GNU EDA -- Electronics
> design
> > so
>
> thanks,
> Hamish
> --
> Hamish Moffatt VK3SB <hamish@debian.org> <hamish@cloud.net.au>
>
[Message part 2 (text/html, inline)]

Forcibly Merged 388695 389154. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug closed, send any further explanations to "H. S." <hs.samix@gmail.com> Request was from Steinar H. Gunderson <sesse@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Steinar H. Gunderson <sesse@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#388695; Package geda-symbols. Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. Full text and rfc822 format available.

Message #38 received at 388695@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: "Steinar H. Gunderson" <sesse@debian.org>
Cc: 388695@bugs.debian.org, 389154@bugs.debian.org
Subject: Why reopen these bugs?
Date: Sat, 14 Oct 2006 14:56:26 +0100
[Message part 1 (text/plain, inline)]
Hey Steinar,

I'm curious why you re-opened #388695. It all *seems* fixed, and there's
no comment from you to explain why it should be re-opened...

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"C++ ate my sanity" -- Jon Rabone
[signature.asc (application/pgp-signature, inline)]

Reply sent to Steve McIntyre <steve@einval.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "H. S." <hs.samix@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #43 received at 388695-done@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: 388695-done@bugs.debian.org, 389154-done@bugs.debian.org
Subject: Were re-opened in error, re-closing
Date: Sat, 14 Oct 2006 16:00:18 +0100
It seems Steinar is making typos... :-)

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
Into the distance, a ribbon of black
Stretched to the point of no turning back




Reply sent to Steve McIntyre <steve@einval.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to victor.noname@gmail.com:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #49 received at 388695-done@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: 388695-done@bugs.debian.org, 389154-done@bugs.debian.org
Subject: Were re-opened in error, re-closing
Date: Sat, 14 Oct 2006 16:12:52 +0100
It seems Steinar is making typos... :-)

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
Into the distance, a ribbon of black
Stretched to the point of no turning back




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#388695; Package geda-symbols. Full text and rfc822 format available.

Acknowledgement sent to Hamish Moffatt <hamish@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #54 received at 388695@bugs.debian.org (full text, mbox):

From: Hamish Moffatt <hamish@debian.org>
To: Steve McIntyre <steve@einval.com>, 388695@bugs.debian.org
Subject: Re: Bug#388695: Why reopen these bugs?
Date: Sun, 15 Oct 2006 02:10:22 +1000
On Sat, Oct 14, 2006 at 02:56:26PM +0100, Steve McIntyre wrote:
> Hey Steinar,
> 
> I'm curious why you re-opened #388695. It all *seems* fixed, and there's
> no comment from you to explain why it should be re-opened...

Hi Steve,

It's working now (matching versions are in testing) but a fix is needed
to ensure that mismatched versions can't be installed, ie tighter
dependencies.


Hamish
-- 
Hamish Moffatt VK3SB <hamish@debian.org> <hamish@cloud.net.au>



Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#388695; Package geda-symbols. Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. Full text and rfc822 format available.

Message #59 received at 388695@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Hamish Moffatt <hamish@debian.org>
Cc: 388695@bugs.debian.org
Subject: Re: Bug#388695: Why reopen these bugs?
Date: Sat, 14 Oct 2006 17:18:49 +0100
[Message part 1 (text/plain, inline)]
On Sun, Oct 15, 2006 at 02:10:22AM +1000, Hamish Moffatt wrote:
>On Sat, Oct 14, 2006 at 02:56:26PM +0100, Steve McIntyre wrote:
>> Hey Steinar,
>> 
>> I'm curious why you re-opened #388695. It all *seems* fixed, and there's
>> no comment from you to explain why it should be re-opened...
>
>Hi Steve,
>
>It's working now (matching versions are in testing) but a fix is needed
>to ensure that mismatched versions can't be installed, ie tighter
>dependencies.

Yup, true. That's not release-critical in my opinion. As I've just
closed this bug, do you want to re-open and set the severity to
something lower?

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"I've only once written 'SQL is my bitch' in a comment. But that code 
 is in use on a military site..." -- Simon Booth
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#388695; Package geda-symbols. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. Full text and rfc822 format available.

Message #64 received at 388695@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Steve McIntyre <steve@einval.com>, 388695@bugs.debian.org
Cc: Hamish Moffatt <hamish@debian.org>
Subject: Re: Bug#388695: Why reopen these bugs?
Date: Sat, 14 Oct 2006 16:38:39 -0700
reopen 388695
thanks

On Sat, Oct 14, 2006 at 05:18:49PM +0100, Steve McIntyre wrote:
> On Sun, Oct 15, 2006 at 02:10:22AM +1000, Hamish Moffatt wrote:
> >On Sat, Oct 14, 2006 at 02:56:26PM +0100, Steve McIntyre wrote:
> >> Hey Steinar,

> >> I'm curious why you re-opened #388695. It all *seems* fixed, and there's
> >> no comment from you to explain why it should be re-opened...

He originally reopened it at my request.

> >It's working now (matching versions are in testing) but a fix is needed
> >to ensure that mismatched versions can't be installed, ie tighter
> >dependencies.

> Yup, true. That's not release-critical in my opinion. As I've just
> closed this bug, do you want to re-open and set the severity to
> something lower?

If this bug allows a user of sarge to install individual packages from etch
in an inconsistent an unusable configuration, then it is RC.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Bug reopened, originator not changed. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Hamish Moffatt <hamish@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "H. S." <hs.samix@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #71 received at 388695-close@bugs.debian.org (full text, mbox):

From: Hamish Moffatt <hamish@debian.org>
To: 388695-close@bugs.debian.org
Subject: Bug#388695: fixed in geda-symbols 20060906-2
Date: Sat, 14 Oct 2006 20:32:18 -0700
Source: geda-symbols
Source-Version: 20060906-2

We believe that the bug you reported is fixed in the latest version of
geda-symbols, which is due to be installed in the Debian FTP archive:

geda-symbols_20060906-2.diff.gz
  to pool/main/g/geda-symbols/geda-symbols_20060906-2.diff.gz
geda-symbols_20060906-2.dsc
  to pool/main/g/geda-symbols/geda-symbols_20060906-2.dsc
geda-symbols_20060906-2_all.deb
  to pool/main/g/geda-symbols/geda-symbols_20060906-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 388695@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hamish Moffatt <hamish@debian.org> (supplier of updated geda-symbols package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 15 Oct 2006 13:15:54 +1000
Source: geda-symbols
Binary: geda-symbols
Architecture: source all
Version: 20060906-2
Distribution: unstable
Urgency: medium
Maintainer: Hamish Moffatt <hamish@debian.org>
Changed-By: Hamish Moffatt <hamish@debian.org>
Description: 
 geda-symbols - Symbols for GNU EDA -- Electronics design software
Closes: 388695 389154
Changes: 
 geda-symbols (20060906-2) unstable; urgency=medium
 .
   * Added conflicts: (debian/control) with geda-* packages earlier than
     ${source:Upstream-Version} because the configuration files and/or
     Scheme scripts provided by this package are not compatible with those
     in the dependent packages (closes: #388695, #389154)
     (urgency=medium as this bug is release-critical.)
Files: 
 bb42edef9ddeaa5766885a5cd38d9910 726 electronics optional geda-symbols_20060906-2.dsc
 1c710c0bff0e818cf72e62f328f72d5d 2114 electronics optional geda-symbols_20060906-2.diff.gz
 57d1a3d73beec5c400b87c0e10c4e2f7 528832 electronics optional geda-symbols_20060906-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iQCVAwUBRTGopdiYIdPvprnVAQLoZQQAgbP9EOHRvypeJifN2BNTG2ebcvdBATU+
DxTXDkxtRhy+Jcnwgef17Xizg9/2OCBaqn4yxaVtgj/ahZw3rtO333qnMFEfzOrH
3y+ht8Gw8f2Lr5E8FM2V7v3wwl7lf7d9neex6D9vHaHFd27YD+P1gEx1NRCC4ij1
vvsacKYA2AU=
=a0Fc
-----END PGP SIGNATURE-----




Reply sent to Hamish Moffatt <hamish@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to victor.noname@gmail.com:
Bug acknowledged by developer. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Hamish Moffatt <hamish@debian.org>:
Bug#388695; Package geda-symbols. Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Hamish Moffatt <hamish@debian.org>. Full text and rfc822 format available.

Message #81 received at 388695@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: Steve Langasek <vorlon@debian.org>
Cc: 388695@bugs.debian.org, Hamish Moffatt <hamish@debian.org>
Subject: Re: Bug#388695: Why reopen these bugs?
Date: Sun, 15 Oct 2006 09:12:04 +0100
On Sat, Oct 14, 2006 at 04:38:39PM -0700, Steve Langasek wrote:
>reopen 388695
>thanks
>
>On Sat, Oct 14, 2006 at 05:18:49PM +0100, Steve McIntyre wrote:
>> On Sun, Oct 15, 2006 at 02:10:22AM +1000, Hamish Moffatt wrote:
>> >On Sat, Oct 14, 2006 at 02:56:26PM +0100, Steve McIntyre wrote:
>> >> Hey Steinar,
>
>> >> I'm curious why you re-opened #388695. It all *seems* fixed, and there's
>> >> no comment from you to explain why it should be re-opened...
>
>He originally reopened it at my request.

OK; some comment in the reopen mail to say that might have been
useful!

>> >It's working now (matching versions are in testing) but a fix is needed
>> >to ensure that mismatched versions can't be installed, ie tighter
>> >dependencies.
>
>> Yup, true. That's not release-critical in my opinion. As I've just
>> closed this bug, do you want to re-open and set the severity to
>> something lower?
>
>If this bug allows a user of sarge to install individual packages from etch
>in an inconsistent an unusable configuration, then it is RC.

Yup, I was wrong. Sorry for any hassle caused...

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"Further comment on how I feel about IBM will appear once I've worked out
 whether they're being malicious or incompetent. Capital letters are forecast."
 Matthew Garrett, http://www.livejournal.com/users/mjg59/30675.html




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#388695; Package geda-symbols. Full text and rfc822 format available.

Acknowledgement sent to Hamish Moffatt <hamish@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #86 received at 388695@bugs.debian.org (full text, mbox):

From: Hamish Moffatt <hamish@debian.org>
To: Steve McIntyre <steve@einval.com>
Cc: Steve Langasek <vorlon@debian.org>, 388695@bugs.debian.org
Subject: Re: Bug#388695: Why reopen these bugs?
Date: Sun, 15 Oct 2006 18:55:41 +1000
On Sun, Oct 15, 2006 at 09:12:04AM +0100, Steve McIntyre wrote:
> On Sat, Oct 14, 2006 at 04:38:39PM -0700, Steve Langasek wrote:
> >If this bug allows a user of sarge to install individual packages from etch
> >in an inconsistent an unusable configuration, then it is RC.
> 
> Yup, I was wrong. Sorry for any hassle caused...

Fixed now anyway (geda-symbols 20060906-2). Thanks for the input guys.

Hamish
-- 
Hamish Moffatt VK3SB <hamish@debian.org> <hamish@cloud.net.au>



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 22:23:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:51:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.